Message group selector does not work in IE or Edge
Closed, ResolvedPublic

Description

Those browsers throw "Invalid argument" error when group selector is opened.

I isolated this to $( '<span>' ).prop( 'dir', 'auto' ); Changing prop to attr or auto to anything else makes the error go away.

Related Objects

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 18 2016, 6:30 PM
Nikerabbit triaged this task as "High" priority.Mar 18 2016, 6:30 PM

Do we actually need this? auto isn't very useful. Can't we make a better decision at this point in the code?

Change 279327 had a related patch set uploaded (by Nikerabbit):
Fix message group selector for IE/Edge

https://gerrit.wikimedia.org/r/279327

Change 279328 had a related patch set uploaded (by Nikerabbit):
Add a warning about T130390

https://gerrit.wikimedia.org/r/279328

Change 279330 had a related patch set uploaded (by Nikerabbit):
Fix interlanguage suggestions not showing up in IE/Edge

https://gerrit.wikimedia.org/r/279330

Nikerabbit moved this task from Backlog to In Review on the LE-CX8-Sprint 4 board.

Change 279328 merged by jenkins-bot:
Add a warning about T130390

https://gerrit.wikimedia.org/r/279328

Change 279330 merged by jenkins-bot:
Fix interlanguage suggestions not showing up in IE/Edge

https://gerrit.wikimedia.org/r/279330

Change 279327 merged by jenkins-bot:
Fix message group selector for IE/Edge

https://gerrit.wikimedia.org/r/279327

Nikerabbit moved this task from In Review to QA on the LE-CX8-Sprint 4 board.Mar 29 2016, 6:09 AM
Arrbee moved this task from QA to Done on the LE-CX8-Sprint 4 board.Mar 29 2016, 6:41 AM
Krinkle removed a subscriber: Krinkle.Mar 30 2016, 1:43 AM
Nikerabbit closed this task as "Resolved".Apr 18 2016, 6:26 AM
Nikerabbit claimed this task.
Nikerabbit removed a project: Patch-For-Review.